<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="2hT-Nh-2CG">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14490.49"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Image View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ImageViewController" customModule="downloadImage" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="w0v-DZ-XYM">
                                <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                            </imageView>
                            <activityIndicatorView opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" style="gray" translatesAutoresizingMaskIntoConstraints="NO" id="Jcy-OU-KaC">
                                <rect key="frame" x="162.5" y="308.5" width="50" height="50"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="50" id="5OE-gO-U8e"/>
                                    <constraint firstAttribute="height" constant="50" id="9GQ-gI-uSR"/>
                                </constraints>
                            </activityIndicatorView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="w0v-DZ-XYM" firstAttribute="trailing" secondItem="6Tk-OE-BBY" secondAttribute="trailing" id="7rJ-bO-BL6"/>
                            <constraint firstItem="w0v-DZ-XYM" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="Aq5-df-r6r"/>
                            <constraint firstItem="Jcy-OU-KaC" firstAttribute="centerY" secondItem="w0v-DZ-XYM" secondAttribute="centerY" id="VQE-gh-eR2"/>
                            <constraint firstItem="w0v-DZ-XYM" firstAttribute="bottom" secondItem="6Tk-OE-BBY" secondAttribute="bottom" id="ZbQ-ox-1wa"/>
                            <constraint firstItem="w0v-DZ-XYM" firstAttribute="top" secondItem="8bC-Xf-vdC" secondAttribute="top" id="d1l-MJ-NGu"/>
                            <constraint firstItem="Jcy-OU-KaC" firstAttribute="centerX" secondItem="w0v-DZ-XYM" secondAttribute="centerX" id="lh8-g1-KlF"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                    </view>
                    <connections>
                        <outlet property="activityIndicator" destination="Jcy-OU-KaC" id="mzr-KH-qqH"/>
                        <outlet property="imageView" destination="w0v-DZ-XYM" id="5BF-s4-UAV"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2092" y="-220.83958020989508"/>
        </scene>
        <!--Courses View Controller-->
        <scene sceneID="klM-u9-Ovo">
            <objects>
                <tableViewController id="ytP-0Z-mFw" customClass="CoursesViewController" customModule="downloadImage" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="zdU-zQ-mhZ">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" restorationIdentifier="cell" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="cell" rowHeight="100" id="RTq-hz-nVB" customClass="CourceTableViewCell" customModule="downloadImage" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="28" width="375" height="100"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="RTq-hz-nVB" id="LVP-pi-yZ3">
                                    <rect key="frame" x="0.0" y="0.0" width="375" height="99.5"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="OFP-uo-uJA">
                                            <rect key="frame" x="8" y="0.0" width="100" height="100"/>
                                            <constraints>
                                                <constraint firstAttribute="width" constant="100" id="IH4-Gk-cI9"/>
                                                <constraint firstAttribute="height" constant="100" id="anE-jf-lWU"/>
                                            </constraints>
                                        </imageView>
                                        <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="8" translatesAutoresizingMaskIntoConstraints="NO" id="0dI-TX-HaV">
                                            <rect key="frame" x="116" y="16" width="233" height="72.5"/>
                                            <subviews>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" verticalCompressionResistancePriority="749" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="r6R-MG-TTF">
                                                    <rect key="frame" x="0.0" y="0.0" width="233" height="15.5"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Tlx-XH-IK7">
                                                    <rect key="frame" x="0.0" y="23.5" width="233" height="20.5"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="PmJ-oh-K3h">
                                                    <rect key="frame" x="0.0" y="52" width="233" height="20.5"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                            </subviews>
                                        </stackView>
                                    </subviews>
                                    <constraints>
                                        <constraint firstItem="0dI-TX-HaV" firstAttribute="leading" secondItem="OFP-uo-uJA" secondAttribute="trailing" constant="8" id="4rm-lA-Xmc"/>
                                        <constraint firstAttribute="trailingMargin" secondItem="0dI-TX-HaV" secondAttribute="trailing" constant="10" id="7Zc-WZ-VTU"/>
                                        <constraint firstAttribute="bottomMargin" secondItem="0dI-TX-HaV" secondAttribute="bottom" constant="0.5" id="Dfh-3B-4uK"/>
                                        <constraint firstItem="0dI-TX-HaV" firstAttribute="top" secondItem="LVP-pi-yZ3" secondAttribute="topMargin" constant="5" id="H2n-dT-IDP"/>
                                        <constraint firstItem="OFP-uo-uJA" firstAttribute="top" secondItem="LVP-pi-yZ3" secondAttribute="top" id="ZrT-qB-f8g"/>
                                    </constraints>
                                </tableViewCellContentView>
                                <constraints>
                                    <constraint firstItem="OFP-uo-uJA" firstAttribute="leading" secondItem="RTq-hz-nVB" secondAttribute="leading" constant="8" id="8MM-T5-yJv"/>
                                </constraints>
                                <connections>
                                    <outlet property="courseImage" destination="OFP-uo-uJA" id="XCI-oF-Yzo"/>
                                    <outlet property="courseNameLabel" destination="r6R-MG-TTF" id="bhh-x2-yPn"/>
                                    <outlet property="numberOfLessons" destination="Tlx-XH-IK7" id="Apc-Tp-Pw8"/>
                                    <outlet property="numberOfTests" destination="PmJ-oh-K3h" id="fdg-gN-0Ug"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="ytP-0Z-mFw" id="2Z5-le-fbF"/>
                            <outlet property="delegate" destination="ytP-0Z-mFw" id="BLN-IP-XbH"/>
                        </connections>
                    </tableView>
                    <connections>
                        <outlet property="tableView" destination="zdU-zQ-mhZ" id="I0s-oI-PFZ"/>
                        <segue destination="nrf-yP-ZF6" kind="show" identifier="description" id="oj2-wL-XHH"/>
                    </connections>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="3tw-IV-H43" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2079.1999999999998" y="521.28935532233891"/>
        </scene>
        <!--Web View Controller-->
        <scene sceneID="QOZ-bM-SgR">
            <objects>
                <viewController id="nrf-yP-ZF6" customClass="WebViewController" customModule="downloadImage" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="mhN-2j-7lh">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <webView contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="CJO-F6-7v5">
                                <rect key="frame" x="0.0" y="64" width="375" height="603"/>
                                <color key="backgroundColor" red="0.36078431370000003" green="0.38823529410000002" blue="0.4039215686" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            </webView>
                            <progressView opaque="NO" contentMode="scaleToFill" verticalHuggingPriority="750" progress="0.5" translatesAutoresizingMaskIntoConstraints="NO" id="gd5-LJ-2aJ">
                                <rect key="frame" x="0.0" y="64" width="375" height="2"/>
                            </progressView>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="gd5-LJ-2aJ" firstAttribute="top" secondItem="CJO-F6-7v5" secondAttribute="top" id="F0s-U6-ec6"/>
                            <constraint firstItem="gd5-LJ-2aJ" firstAttribute="leading" secondItem="CJO-F6-7v5" secondAttribute="leading" id="QtH-BX-8Zl"/>
                            <constraint firstItem="CJO-F6-7v5" firstAttribute="trailing" secondItem="lSp-5R-cFB" secondAttribute="trailing" id="iOi-S9-Z3u"/>
                            <constraint firstItem="CJO-F6-7v5" firstAttribute="leading" secondItem="lSp-5R-cFB" secondAttribute="leading" id="juS-Cj-0Eu"/>
                            <constraint firstItem="CJO-F6-7v5" firstAttribute="bottom" secondItem="lSp-5R-cFB" secondAttribute="bottom" id="oSr-ee-www"/>
                            <constraint firstItem="gd5-LJ-2aJ" firstAttribute="trailing" secondItem="CJO-F6-7v5" secondAttribute="trailing" id="p3u-uR-5ry"/>
                            <constraint firstItem="CJO-F6-7v5" firstAttribute="top" secondItem="lSp-5R-cFB" secondAttribute="top" id="t0C-rD-inc"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="lSp-5R-cFB"/>
                    </view>
                    <connections>
                        <outlet property="progressView" destination="gd5-LJ-2aJ" id="ccM-mB-9JY"/>
                        <outlet property="webView" destination="CJO-F6-7v5" id="3qJ-zI-O5S"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="TRS-8z-SVF" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2892" y="520.38980509745136"/>
        </scene>
        <!--Control-->
        <scene sceneID="t97-s2-joF">
            <objects>
                <collectionViewController id="sxS-yj-NJV" customClass="MainCollectionViewController" customModule="downloadImage" customModuleProvider="target" sceneMemberID="viewController">
                    <collectionView key="view" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="prototypes" id="BhA-cc-OZ7">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <collectionViewFlowLayout key="collectionViewLayout" minimumLineSpacing="40" minimumInteritemSpacing="40" id="9Yw-2e-J7p">
                            <size key="itemSize" width="340" height="100"/>
                            <size key="headerReferenceSize" width="0.0" height="0.0"/>
                            <size key="footerReferenceSize" width="0.0" height="0.0"/>
                            <inset key="sectionInset" minX="0.0" minY="40" maxX="0.0" maxY="40"/>
                        </collectionViewFlowLayout>
                        <cells>
                            <collectionViewCell opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" reuseIdentifier="cell" id="CBm-b0-AUa" customClass="CollectionViewCell" customModule="downloadImage" customModuleProvider="target">
                                <rect key="frame" x="17.5" y="40" width="340" height="100"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <view key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" insetsLayoutMarginsFromSafeArea="NO">
                                    <rect key="frame" x="0.0" y="0.0" width="340" height="100"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ULb-zk-lhR">
                                            <rect key="frame" x="0.0" y="0.0" width="340" height="100"/>
                                            <fontDescription key="fontDescription" name="AppleSDGothicNeo-Regular" family="Apple SD Gothic Neo" pointSize="28"/>
                                            <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                    </subviews>
                                </view>
                                <color key="backgroundColor" red="0.43529412150000002" green="0.4431372583" blue="0.47450980539999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstItem="ULb-zk-lhR" firstAttribute="leading" secondItem="CBm-b0-AUa" secondAttribute="leading" id="1eG-3Z-tCe"/>
                                    <constraint firstAttribute="bottom" secondItem="ULb-zk-lhR" secondAttribute="bottom" id="3o2-YD-yu7"/>
                                    <constraint firstAttribute="trailing" secondItem="ULb-zk-lhR" secondAttribute="trailing" id="WEi-aI-TmZ"/>
                                    <constraint firstItem="ULb-zk-lhR" firstAttribute="top" secondItem="CBm-b0-AUa" secondAttribute="top" id="jTn-6N-5lO"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                        <integer key="value" value="5"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                                <connections>
                                    <outlet property="label" destination="ULb-zk-lhR" id="qga-dU-RFr"/>
                                </connections>
                            </collectionViewCell>
                        </cells>
                        <connections>
                            <outlet property="dataSource" destination="sxS-yj-NJV" id="A0f-QZ-aMA"/>
                            <outlet property="delegate" destination="sxS-yj-NJV" id="sLA-Wm-f9w"/>
                        </connections>
                    </collectionView>
                    <navigationItem key="navigationItem" title="Control" id="OmU-Uj-h8p"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="show" identifier="showImage" id="7RU-Oz-WXK"/>
                        <segue destination="ytP-0Z-mFw" kind="show" identifier="ourCourses" id="62A-ic-Fmn"/>
                    </connections>
                </collectionViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="grI-hW-oki" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1200.8" y="127.28635682158921"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="5by-ke-xT5">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="2hT-Nh-2CG" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="KNQ-Nv-NMH">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="sxS-yj-NJV" kind="relationship" relationship="rootViewController" id="AOE-oX-dkV"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="lBZ-2R-mKN" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="261.60000000000002" y="127.28635682158921"/>
        </scene>
    </scenes>
</document>
